package com.backend.glowhouse.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Document(collection = "sensorData")
public class SensorData {
    @Id
    private String id;

    @Field
    private String deviceId;
    @Field
    private Float temp;
    @Field
    private Float humidity;

    public SensorData() {}

    public SensorData(String deviceId, float temp, float humidity) {
        this.deviceId = deviceId;
        this.temp = temp;
        this.humidity = humidity;
    }

    public String getId() {
        return id;
    }

    public void setTemp(float temp) {
        this.temp = temp;
    }

    public float getTemp() {
        return temp;
    }

    public void setHumidity(float humidity) {
        this.humidity = humidity;
    }

    public float getHumidity() {
        return humidity;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("{");
        sb.append("deviceId:").append(deviceId);
        sb.append(", humidity:").append(humidity);
        sb.append(", temp:").append(temp);
        sb.append("}");
        return sb.toString();
    }
}
