package com.backend.glowhouse.service;

import com.backend.glowhouse.model.SensorData;
import com.backend.glowhouse.repository.SensorDataRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SensorDataService {
    private final SensorDataRepository sensorDataRepository;

    @Autowired
    public SensorDataService(SensorDataRepository sensorDataRepository) {
        this.sensorDataRepository = sensorDataRepository;
    }

    public void processSensorData(SensorData sensorData) {
        this.sensorDataRepository.save(sensorData);
    }

    public void processMultipleSensorData(List<SensorData> sensorData) {
        this.sensorDataRepository.saveAll(sensorData);
    }
}
