package com.backend.glowhouse.sqs;

import com.backend.glowhouse.model.SensorData;
import com.backend.glowhouse.service.SensorDataService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.aws.messaging.listener.annotation.SqsListener;

public class SqsListenerEndpoint {
    private static Logger logger = LoggerFactory.getLogger(SqsListenerEndpoint.class);

    final private SensorDataService sensorDataService;

    @Autowired
    public SqsListenerEndpoint(SensorDataService sensorDataService) {
        this.sensorDataService = sensorDataService;
    }

    @SqsListener("sensor-data-queue")
    public void listen(SensorData sensorData) {
        logger.info("sensor data received: [temp:{}, humidity:{}]", sensorData.getTemp(), sensorData.getHumidity());

        this.sensorDataService.processSensorData(sensorData);
    }
}
